%define upstream_name    ogd
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Ordered global destruction of objects stored in globals
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/E/EL/ELIZABETH/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildArch:  noarch

%description
This module adds ordered destruction of objects stored in global variables in
LIFO order during global destruction.

Ordered global destruction is only applicable to objects stored in non-lexical
variables (even if they are in file scope). Apparently Perl destroys all
objects stored file-level lexicals before the first END block is called.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files 
%doc CHANGELOG META.json META.yml MYMETA.yml README TODO VERSION
%{perl_vendorlib}/ogd.pm
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.30.0-8pclos2017
- rebuild against updates

